> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Midjourney Describe



## OpenAPI

````yaml /openapi/midjourney.json post /midjourney/describe
openapi: 3.0.0
info:
  title: Midjourney generation
  version: 1.0.0
  description: API reference for Midjourney generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /midjourney/describe:
    post:
      summary: Midjourney Describe
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Midjourney Describe Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
              properties:
                image_url:
                  type: string
                  description: Midjourney Describe Image Url
            example:
              image_url: https://cdn.acedata.cloud/0iad3k.png
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  descriptions:
                    - >-
                      a gold sailboat on the ocean with lots of coins on it, in
                      the style of stark visuals, animated gifs, flowing
                      silhouettes, provia, personal iconography, ramses younan,
                      firecore --ar 75:3
                    - >-
                      the sailboat sails through a cluster of gold coins, in the
                      style of chillwave, flowing silhouettes, tenebrism
                      mastery, narrative-driven visual storytelling, sketchfab,
                      havencore, creative commons attribution --ar 75:3
                    - >-
                      an image of a boat sailing through gold coins, in the
                      style of sketchfab, flowing silhouettes, 32k uhd, martiros
                      saryan, reefwave, personal iconography, animated gifs --ar
                      75:3
                    - >-
                      a boat floating in waters of gold coin bubbles, in the
                      style of stark visuals, hand-drawn animation, scoutcore,
                      hurufiyya, sketchfab, luminous shadows, money themed --ar
                      75:3
                properties:
                  descriptions:
                    type: array
                    items:
                      type: string
                    description: Midjourney Describe Response 200 Descriptions
          description: Midjourney Describe Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Midjourney Describe Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Midjourney Describe Response 400 Error Message
                      trace_id:
                        type: string
                        description: Midjourney Describe Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Midjourney Describe Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Midjourney Describe Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Midjourney Describe Response 400 Trace Id 2
          description: Midjourney Describe Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Midjourney Describe Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Midjourney Describe Response 401 Error Message
                      trace_id:
                        type: string
                        description: Midjourney Describe Response 401 Trace Id
          description: Midjourney Describe Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Midjourney Describe Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Midjourney Describe Response 429 Error Message
                      trace_id:
                        type: string
                        description: Midjourney Describe Response 429 Trace Id
          description: Midjourney Describe Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Midjourney Describe Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Midjourney Describe Response 500 Error Message
                      trace_id:
                        type: string
                        description: Midjourney Describe Response 500 Trace Id
          description: Midjourney Describe Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````